package com.railway.business.catenary.mapper;

import com.github.pagehelper.Page;
import com.railway.business.catenary.domain.BusJcbBlq;
import com.railway.business.catenary.domain.vo.JcebCountVo;
import com.railway.business.catenary.domain.vo.JcebQueryVo;
import com.railway.business.catenary.domain.vo.JcebRecordVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

/**
* 检查表-避雷器
* @author wuhonghao
* @date 2021/10/17
*/
@Mapper
@Repository
public interface BusJcbBlqMapper {

    /**
    * 新增
    */
    int insert(BusJcbBlq busJcbBlq);

    /**
    * 删除
    */
    int delete(@Param("id") String id);

    /**
    * 更新
    */
    int update(BusJcbBlq busJcbBlq);

    /**
    * 获取单个
    */
    BusJcbBlq getInfo(@Param("id") String id);

    /**
    * 查询列表
    */
    Page<BusJcbBlq> getList(BusJcbBlq busJcbBlq);

    /**
     * 查询最新记录
     */
    BusJcbBlq getLastOne(BusJcbBlq busJcbBlq);

    /**
     * 查询列表
     */
    Page<BusJcbBlq> getJcebList(JcebQueryVo query);

    /**
     * 查询明细列表
     * @param query 查询参数
     * @return 数据记录明细
     */
    Page<JcebRecordVo> getListByType(JcebQueryVo query);

    /**
     * 查询汇总列表
     * @param query 查询参数
     * @return 汇总数据
     */
    JcebCountVo getCountByType(JcebQueryVo query);

}
